# Uses of Annotation Type
org.apache.sling.distribution.journal.impl.publisher.PublisherConfiguration

Packages that use PublisherConfiguration
Package
Description
org.apache.sling.distribution.journal.impl.publisher

## Uses of PublisherConfiguration in org.apache.sling.distribution.journal.impl.publisher

Constructors in org.apache.sling.distribution.journal.impl.publisher with parameters of type PublisherConfiguration
Modifier
Constructor
Description
``
`DistributionPublisher(org.apache.sling.distribution.journal.MessagingProvider messagingProvider, org.apache.sling.distribution.packaging.DistributionPackageBuilder packageBuilder, DiscoveryService discoveryService, PackageMessageFactory factory, org.osgi.service.event.EventAdmin eventAdmin, org.apache.sling.commons.metrics.MetricsService metricsService, PubQueueProvider pubQueueProvider, org.osgi.service.condition.Condition limitToggle, PublisherConfiguration config, org.osgi.framework.BundleContext context)`